<!doctype html>
<html lang="en">
  <head>
    <?php include '_config.php'; ?>

    <?php include 'api_automatednetwork.php'; ?>

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no, viewport-fit=cover">
    <meta http-equiv="Content-Language" content="en">
    <meta name="geo.region" content="en">
    <meta property="og:type" content="website">
    <meta name="theme-color" content="#212529">
    <meta name="robots" content="index, follow, max-image-preview:large, max-snippet:-1, max-video-preview:-1">
    <meta name="classification" content="news">

    <link rel="icon" type="image/x-icon" href="<?php echo $favicon_image; ?>">
    <link rel="canonical" href="<?php echo $base_url; ?>">
    <link rel="alternate" href="<?php echo $base_url; ?>" hreflang="en">

    <?php
    $page_title = $company_name;
    $page_description = 'News Website: ' . $company_name;
    $page_url = "$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

    if(isset($_GET['category_slug'])){
      $category_slug = $_GET['category_slug'];
      $json_data_category_menu = fc_json_data_news_category_menu($category_slug);
      if(isset($json_data_category_menu[0]['category'])) {
        $category_name = $json_data_category_menu[0]['category'];
        $page_title = $category_name . ' - ' . $company_name;
      }
    }

    if(isset($_GET['article_id'])){
      $article_id = $_GET['article_id'];
      $json_data = fc_json_data_news_article($article_id);
      if(isset($json_data[0]['id'])) {
        $page_title = $json_data[0]['title'] . ' - ' . $company_name;
        $page_description = $json_data[0]['short_description'] . ' - ' . $company_name;
        $page_og_image = $json_data[0]['image'];
      }
    }

    if(isset($_GET['q'])){
      $page_title = 'Search for '.$_GET['q'].' on '.$company_name;
      $page_description = 'Search for '.$_GET['q'].' on '.$company_name;
    }

    echo '<title>'.$page_title.'</title>';
  	echo '<meta name="description" content="'.$page_description.'" />';
  	echo '<meta name="keywords" content="News, Articles, Journal, Funny, Worlds, Info" />';

  	echo '<meta property="og:title" content="'.$page_title.'">';
  	echo '<meta property="og:description" content="'.$page_description.'">';
  	echo '<meta property="og:image" content="'.$page_og_image.'">';
    echo '<meta property="og:site_name" content="'.$base_url.'">';
    echo '<meta property="og:url" content="'.$page_url.'">';

  	echo '<meta name="twitter:title" content="'.$page_title.'">';
  	echo '<meta name="twitter:description" content="'.$page_description.'">';
  	echo '<meta name="twitter:image" content="'.$page_og_image.'">';
  	echo '<meta name="twitter:card" content="summary_large_image">';
    ?>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo $base_url; ?>/assets/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $base_url; ?>/assets/bootstrap/font/bootstrap-icons.css" rel="stylesheet">
    <link href="<?php echo $base_url; ?>/assets/bootstrap/css/modals.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="<?php echo $base_url; ?>/assets/css/main.css" rel="stylesheet" type="text/css">
    <link href="<?php echo $base_url; ?>/assets/css/main_news.css" rel="stylesheet" type="text/css">
    <link href="<?php echo $base_url; ?>/assets/css/custom.css" rel="stylesheet" type="text/css">

    <link href="<?php echo $base_url; ?>/assets/css/main_responsive.css" rel="stylesheet" type="text/css">
    <link href="<?php echo $base_url; ?>/assets/css/main_news_responsive.css" rel="stylesheet" type="text/css">
    <link href="<?php echo $base_url; ?>/assets/css/custom_responsive.css" rel="stylesheet" type="text/css">

    <script src="<?php echo $server_url; ?>/assets/js/latest-jquery.min.js"></script>
  </head>
<body>

<div id="header_section" class="mb-4 bg-light">
  <div id="top_bar" class="container-fluid g-2 border-bottom p-0">
    <div class="navbar mb-1">
      <div class="container">
        <span id="navbar_date" class="col-12 col-md-4 col-lg-3 text-secondary mb-2 mb-md-0 text-center text-md-start small"><?php echo date("l, d F Y"); ?></span>

        <div id="navbar_end" class="col-12 col-md-8 col-lg-9">
          <div class="row w-100 g-1 justify-content-end mx-auto">
            <div id="search_form" class="col-8 col-sm-10 col-lg-6">
              <form class="border rounded" action="<?php echo $base_url; ?>/search" method="get">
                <div class="bg-white d-flex justify-content-around py-1">
                  <input id="search_query" class="col-5 border-0 px-3" type="text" name="q" placeholder="Search" aria-label="Search" value="<?php if(isset($_GET['q'])){ echo $_GET['q'];} ?>" required>
                  <select id="search_category" class="col-5 border-0 text-secondary bg-light p-1 rounded-3" name="search_category">
      							<option value="all_categories">All Categories</option>
                    <?php
                    if(isset($_GET['search_category'])){ $search_category = $_GET['search_category']; } else { $search_category = ''; }
                    $category_menu = "all_categories";
                    $json_data_category_menu = fc_json_data_news_category_menu($category_menu);
                    if(isset($json_data_category_menu[0]['category'])) {
                      for ($number=0; $number < $json_data_category_menu[0]['quantity_found']; $number++) {
                        if($search_category == $json_data_category_menu[$number]['category_slug']){
                          $selected = 'selected';
                          $category_name = $json_data_category_menu[$number]['category'];
                        } else {
                          $selected = '';
                        }
                        echo '
                        <option value="'.$json_data_category_menu[$number]['category_slug'].'" '.$selected.'>
                          '.$json_data_category_menu[$number]['category'].'
                        </option>
                        ';
                      }
                    }
                    ?>
                  </select>
                  <button id="search_submit" class="btn search_icon col-2 p-0" type="submit"><i class="bi bi-search"></i></button>
                </div>
              </form>
            </div> <!-- #search_form -->

              <div id="bookmark_button" class="col-2 col-sm-1 d-flex">
                <?php
                  $snippet = 'amnw_bookmark';
                  $position = 'top_bar';
                  $json_data = fc_json_data_amnw_snippet($snippet,$position);
                  if(isset($json_data[0]['amnw_snippet'])) {
                    echo '
                    <a href="javascript:void(0);" id="bookmark_snippet" class="text-decoration-none w-100 bg-white text-center border rounded px-2 py-1" title="Bookmark this page">
                      <i class="bi bi-bookmark"></i>
                    </a>
                    ';
                    echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
                  }
                ?>
              </div> <!-- #bookmark_button -->

              <div id="newsletter_button" class="col-2 col-sm-1 d-flex">
              <?php
                $snippet = 'amnw_newsletter&email_campaign_id='.$email_campaign_id;
                $position = 'top_bar';
                $json_data = fc_json_data_amnw_snippet($snippet,$position);
                if(isset($json_data[0]['amnw_snippet'])) {
                  echo '
                  <a href="javascript:void(0);" id="newsletter_snippet" class="text-decoration-none w-100 bg-white text-center border rounded px-2 py-1" role="button" data-bs-toggle="modal" data-bs-target="#modal_newsletter_snippet" title="Join our newsletter">
                    <i class="bi bi-envelope"></i>
                  </a>
                  ';
                  echo htmlspecialchars_decode($json_data[0]['amnw_snippet']);
                }
              ?>
              </div> <!-- #newsletter_button -->

          </div> <!-- /.row -->
        </div> <!-- /#navbar_end -->
      </div> <!-- /.container -->
    </div> <!-- /.navbar -->
  </div> <!-- /#top_bar -->

  <div id="header_info" class="container-fluid p-0">
    <div class="container px-2 py-4">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
        <div id="header_logo" class="col-12 col-lg-2 d-flex align-items-center justify-content-center justify-content-lg-start mb-4 mb-lg-0 text-white text-decoration-none">
          <a href="<?php echo $base_url;?>">
            <img src="<?php echo $logo_image;?>" class="img-fluid">
          </a>
        </div>

        <div class="col-12 col-lg-1"></div>

        <div id="header_banner_ad" class="col-12 col-lg-9">
          <?php include 'layouts/ads/leaderboard_ad.php'; ?>
        </div>
      </div>
    </div>
  </div> <!-- /#header_info -->

  <div id="header_navigation" class="container-fluid bg-dark shadow-sm g-1">
    <nav id="header_menu" class="navbar navbar-expand-lg navbar-dark py-2 py-lg-0">
      <div class="container">
        <button class="navbar-toggler collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#header_navbar" aria-controls="navbarNav" aria-expanded="false" aria-label="Navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div id="header_navbar" class="collapse navbar-collapse mx-0">
          <ul class="fs-6 navbar-nav text-light navbar_nav_first navbar_nav_border_left border-secondary px-2">
            <?php
            $category_menu = "all_categories";
            $json_data_category_menu = fc_json_data_news_category_menu($category_menu);
            if(isset($json_data_category_menu[0]['category'])) {
              for ($number=0; $number < $json_data_category_menu[0]['quantity_found']; $number++) {
                echo '
                <li class="nav-item px-0 px-md-2 nav_item_border_right border-secondary">
                  <a class="nav-link text-light" href="'.$base_url.'/category/'.$json_data_category_menu[$number]['category_slug'].'/">
                    '.$json_data_category_menu[$number]['category'].'
                  </a>
                </li>
                ';
              }
            }
            ?>
          </ul>
        </div> <!-- /#header_navbar -->
      </div> <!-- /.container -->
    </nav> <!-- /#header_menu -->
  </div> <!-- /#header_navigation -->
</div> <!-- /#header_section -->
